#include "CConfiguration.h"

using namespace std;


//////////////////////////////////////////////////////////////////////////
//Le constructeur lit le fichier de configuration et affecte
//les donnees membres avec les valeurs lues
//////////////////////////////////////////////////////////////////////////
CConfiguration::CConfiguration()
{		
	_configCommandes = (int**)malloc(2*sizeof(int*));
	int i;
	for (i=0;i<2;i++)
	{
		_configCommandes[i] = (int*)malloc(4*sizeof(int));
	}
            
	//lecture du fichier de configuration
	//si le fichier n'existe pas, on le cre avec des valeurs par dfaut 
	//par defaut, ts les controles sont au clavier
	if (fopen("config.ini", "r") == NULL)
	{       
		std::ofstream fichierConfig ("config.ini",ios::out);
		fichierConfig << "2" << endl;
		fichierConfig << "2" << endl;
		fichierConfig << "1" << endl;
		fichierConfig << "stage1.dat" << endl;
		fichierConfig << "0" << endl;
		fichierConfig << "0" << endl;
		fichierConfig << "0" << endl;
		fichierConfig << "0" << endl;

		fichierConfig << "0" << endl;
		fichierConfig << "1" << endl;
		fichierConfig << "2" << endl;
		fichierConfig << "3" << endl;
	}
            
	//sinon, on lit les valeurs inscrites.
	std::ifstream fichierConfig ("config.ini",ios::in);
	//on affecte aux variables les nombres lus dans le fichier.
	fichierConfig >> _nbJoueurs;
	fichierConfig >> _nbRounds;
	fichierConfig >> _numeroTerrain;
	fichierConfig >> _nomTerrain;
	for (i=0; i<4; i++)
		fichierConfig >> (_configCommandes[0][i]);

	for (int j=0; j<4; j++)
		fichierConfig >> (_configCommandes[1][j]);
	
	fichierConfig.close();
}


//////////////////////////////////////////////////////////////////////////
//destructeur: libration du tableau dynamique de commandes		
//////////////////////////////////////////////////////////////////////////
CConfiguration::~CConfiguration()
{
	for (int i=0;i<2;i++)
	{
		delete(_configCommandes[i]);
	}
	delete(_configCommandes);
}
