// cEcranAccueil.h: interface for the cEcranAccueil class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CECRANACCUEIL_H_
#define _CECRANACCUEIL_H_

#include "CConfiguration.h"
#include "sprite.h"
#include "utils.h"

#include "CFMODWrapper.h"

class CEcranAccueil
{
	SDL_Surface* _fondEcran;	//l'image derrire
	SDL_Surface* _ecran;		//l'ecran
	SDL_Surface* _bombe_image[5];		//les 6 images de la bombe
	SDL_Surface* _explosion_image[3];


	SDL_Rect _position_bombe[4];
	int _position_actuelle;

	sprite _bombe;
	sprite _explosion;
	bool _done;

	Uint8* _keys;
	int _keystroke;

	CBruitage _bruitageDing;
	CBruitage _bruitageDone;
		
public:
	CEcranAccueil(SDL_Surface* ecran);
	virtual ~CEcranAccueil();

	void gereClavier();
	T_EtatAccueil gereToi();
};

#endif
