// CEcranCommandes.h: interface for the cEcranOptions class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CECRANCOMMANDES_H_
#define _CECRANCOMMANDES_H_

#include "utils.h"
#include "CConfiguration.h"
#include "sprite.h"
#include "CFMODWrapper.h"


class CEcranCommandes  
{
	SDL_Surface* _fondEcran;	//l'image derrire
	SDL_Surface* _ecran;		//l'ecran
	SDL_Surface* _bombe_image[5];		//les 6 images de la bombe
	SDL_Surface* _explosion_image[3];

	SDL_Rect _position_bombe[6]; //5 positions:nbjoueurs, terrain, nb rounds, sauver, quitter
	int _position_actuelle;
	int _joueurCourant;
	int _nombreManettes;
	int _nombreCommandes;
	int _commandeCourante;
	int** _configCommandes;		//tableau a deux entrees: la premiere colonne indique le booleen = 1 si manette, 
								//0 si clavier, la seconde l'identifiant de priphriqu

	sprite _bombe;
	sprite _explosion;
	bool _done;					//controle la fin de l'ecran d'options
	
	CConfiguration _config;
	
	CBruitage _bruitageDing;
	CBruitage _bruitageDone;

	int _nbTerrains;
	int _terrainCourant;
	string* _terrains;
	
	Uint8* keys;
	int keystroke;

public:
	CEcranCommandes(SDL_Surface* ecran, int** configCommandes);
	virtual ~CEcranCommandes();
	
	void gereClavier();
	void gereToi();
};

#endif
