#include "CFMODMusique.h"


const string CFMODMusique::_path = SOUND_PATH;



CFMODMusique::CFMODMusique()
{}

CFMODMusique::CFMODMusique(const char * fichier)
{
	charger(fichier);
}

CFMODMusique::~CFMODMusique()
{
	cout << "CFMODMusique::~~~~ ~~~:" << _nom << endl;
	if (_ptMusique != NULL)
		liberer();
}

void CFMODMusique::jouer()
{
	FSOUND_Stream_Play(FSOUND_FREE,_ptMusique);
}

void CFMODMusique::charger(const char * fichier)
{
	_nom = _path + fichier;
	
	_ptMusique = FSOUND_Stream_OpenFile(_nom.c_str() , FSOUND_LOOP_NORMAL, 0);
	if (!_ptMusique)
		cout << "ERROR: " << FMOD_ErrorString(FSOUND_GetError()) << endl;
}

void CFMODMusique::liberer()
{
	FSOUND_Stream_Close(_ptMusique);
	_ptMusique = NULL;
}

void CFMODMusique::stop()
{
	FSOUND_Stream_Stop(_ptMusique);
}

