#ifndef CFMODMusique_h
#define CFMODMusique_h

#include "utils.h"
#include "fmod.h"
#include "fmod_errors.h"

using namespace std;

class CFMODMusique
{
	private:
		string _nom;
		FSOUND_STREAM * _ptMusique;
		static const string _path;

	public: 
		CFMODMusique();
		CFMODMusique(const char * fichier);
		~CFMODMusique();

		void jouer();
		void charger(const char * fichier);
		void liberer();
		void stop();

};


#endif



