// cInterfaceAccueil.h: interface for the cInterfaceAccueil class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CINTERFACEACCUEIL_H_
#define _CINTERFACEACCUEIL_H_

#include "CConfiguration.h"
#include "utils.h"
#include "CInterfaceAccueil.h"
#include "CEcranAccueil.h"
#include "CEcranOptions.h"
#include "CFMODMusique.h"

class CInterfaceAccueil  
{
	SDL_Surface* _fondEcran;	//l'image derrire
	SDL_Surface* _ecran;		//l'ecran
	T_EtatAccueil _etat;	//indique l'tat courant
	CConfiguration* _config;
	CFMODMusique _maMusique;
	bool _valider;

	Uint8* _keys;
	int _keystroke;

public:
	CInterfaceAccueil(SDL_Surface* ecran, CConfiguration* configuration);
	virtual ~CInterfaceAccueil();

	T_EtatAccueil run();
	inline void setEtat(T_EtatAccueil etat)
	{	_etat = etat;	}
	void gererClavier();
	T_EtatAccueil afficherCredit();
};

#endif
